Package org.codehaus.groovy.transform.sc

# Class TemporaryVariableExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.codehaus.groovy.transform.sc.TemporaryVariableExpression

public class TemporaryVariableExpression extends Expression
A front-end class for `ExpressionAsVariableSlot` which allows defining temporary variables loaded from variable slots directly at the AST level, without any knowledge of `AsmClassGenerator`.

Since:
  2.4.0
Author:
  Cédric Champeau

## Constructor Summary

Constructors
Constructor
Description
`TemporaryVariableExpression(Expression expression)`

## Method Summary

Modifier and Type
Method
Description
`ClassNode`
`getType()`
`void`
`remove(WriterController controller)`
`Expression`
`transformExpression(ExpressionTransformer transformer)`
Return a copy of the expression calling the transformer on any nested expressions
`void`
`visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

`setType, transformExpressions, transformExpressions`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TemporaryVariableExpression

public TemporaryVariableExpression(Expression expression)

## Method Details

### transformExpression

public Expression transformExpression(ExpressionTransformer transformer)
Description copied from class: `Expression`
Return a copy of the expression calling the transformer on any nested expressions

Specified by:
  `transformExpression` in class `Expression`
Parameters:
  `transformer` -

### visit

public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`

### remove

public void remove(WriterController controller)

### getType

public ClassNode getType()

Overrides:
  `getType` in class `Expression`